=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: apache2
-Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
 Uploaders: Stefan Fritsch <sf@debian.org>,
            Arno Töll <arno@debian.org>,
            Ondřej Surý <ondrej@debian.org>,
-           Yadd <yadd@debian.org>
+           Yadd <yadd@debian.org>,
+           Bastien Roucariès <rouca@debian.org>
 Section: httpd
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
