=== debian/tests/control ===
--- 
+++ 
@@ -23,6 +23,10 @@
 Restrictions: needs-root allow-stderr breaks-testbed
 Depends: apache2, curl, ssl-cert, nghttp2-client
 
+Tests: check-ubuntu-branding
+Restrictions: allow-stderr
+Depends: apache2, curl
+
 Tests: chroot
 Features: no-build-needed
 Restrictions: needs-root allow-stderr breaks-testbed
