=== debian/changelog ===
apache2 (2.4.64-1ubuntu2) questing; urgency=medium

  * SECURITY UPDATE: incorrect RewriteCond expr handling
    - debian/patches/CVE-2025-54090.patch: fix return code in
      modules/mappers/mod_rewrite.c.
    - CVE-2025-54090

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Jul 2025 14:22:41 -0400

apache2 (2.4.64-1ubuntu1) questing; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - d/index.html, d/icons/ubuntu-logo.png, d/apache2.postrm,
      d/source/include-binaries, d/t/check-ubuntu-branding: Replace
      Debian with Ubuntu on default homepage (LP: 1966004, LP: 1947459).
    - d/apache2.py, d/apache2-bin.install: Add apport hook (LP: 609177).
    - d/debhelper/apache2-maintscript-helper: Allow execution when called from
      a postinst script through a trigger (i.e., postinst triggered). Thanks
      to Roel van Meer (Closes: 1060450, LP: 2038912).
    - d/index.html, d/apache2.postrm: Fix HTTPS link to Apache
      documentation (LP: 2045055).
    - d/perl-framework/t/apache/pr64339.t: Fix tests per upstream testsuite
      revisions to address changes in libxml2 changes. (LP: 2112429)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 16 Jul 2025 17:30:33 -0400

apache2 (2.4.64-1) unstable; urgency=medium

  [ Yadd ]
  * Add libanyevent-websocket-client-perl in test-suite dependencies
  * Add build dependency to libcrypt-dev (Closes: #1107049)
  * Update d/ch
  * Drop old and useless build helper (Closes: #1108897)
  * New upstream version 2.4.64
    (Closes: CVE-2025-23048, CVE-2024-42516, CVE-2024-43204, CVE-2024-43394,
    CVE-2024-47252, CVE-2025-49630, CVE-2025-49812, CVE-2025-53020)
  * Unfuzz patches

  [ Jo ]
  * Adapted comment for SSLSessionTickets (Closes: #972695)

 -- Yadd <yadd@debian.org>  Fri, 11 Jul 2025 06:37:48 +0200

apache2 (2.4.63-1ubuntu3) questing; urgency=medium

  * d/perl-framework/t/apache/pr64339.t: Fix tests per upstream testsuite
    revisions to address changes in libxml2 changes. (LP: #2112429)

 -- Thomas Ward <teward@ubuntu.com>  Wed, 04 Jun 2025 17:23:41 -0400

apache2 (2.4.63-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:18:41 +0200
