## apache2 2.4.65

=== debian/changelog ===
apache2 (2.4.65-1~deb12u1) bookworm; urgency=medium

  * Team upload

  [ Yadd ]
  * Drop patches included in upstream
  * New upstream version 2.4.64
    (Closes: CVE-2025-23048, CVE-2024-42516, CVE-2024-43204, CVE-2024-43394,
    CVE-2024-47252, CVE-2025-49630, CVE-2025-49812, CVE-2025-53020)
  * New upstream version 2.4.65
    (Closes: CVE-2025-54090)
  * Unfuzz patches

  [ Bastien Roucariès ]
  * Add a NEWS entry following CVE-2025-23048

 -- Bastien Roucariès <rouca@debian.org>  Tue, 29 Jul 2025 22:18:46 +0200

apache2 (2.4.62-1~deb12u2) bookworm-security; urgency=medium

  * Fix CVE-2024-38474 regression:
    Better question mark tracking to avoid UnsafeAllow3F
    (Closes: #1079172)
  * Fix CVE-2024-39884 regression:
    Trust strings from configuration in mod_proxy
    (Closes: #1079206)
  * Add myself as maintainer with Yadd agreement

 -- Bastien Roucariès <rouca@debian.org>  Fri, 04 Oct 2024 15:21:08 +0000

apache2 (2.4.62-1~deb12u1) bookworm; urgency=medium

  * New upstream version 2.4.62 (Closes: CVE-2024-40725, CVE-2024-40898)

 -- Yadd <yadd@debian.org>  Thu, 18 Jul 2024 09:29:16 +0400
