=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: apache2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
+Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
 Uploaders: Stefan Fritsch <sf@debian.org>,
            Arno Töll <arno@debian.org>,
            Ondřej Surý <ondrej@debian.org>,
@@ -16,7 +15,7 @@
                libapr1-dev,
                libaprutil1-dev,
                libbrotli-dev,
-               liblua5.4-dev,
+               liblua5.3-dev,
                libnghttp2-dev,
                libpcre2-dev,
                libssl-dev,
@@ -38,6 +37,7 @@
 Depends: apache2-bin (= ${binary:Version}),
          apache2-data (= ${source:Version}),
          apache2-utils (= ${binary:Version}),
+         lsb-base,
          media-types,
          ${perl:Depends},
          procps [!hurd-i386],
@@ -45,8 +45,7 @@
 Recommends: ssl-cert
 Suggests: apache2-doc,
           apache2-suexec-pristine | apache2-suexec-custom,
-          www-browser,
-          ufw
+          www-browser
 Pre-Depends: ${misc:Pre-Depends}
 Provides: httpd,
           httpd-cgi
@@ -78,7 +77,6 @@
 Suggests: apache2-doc,
           apache2-suexec-pristine | apache2-suexec-custom,
           www-browser
-Breaks: fossil (<< 1:2.24-5~)
 Provides: ${apache2:API}
 Description: Apache HTTP Server (modules and other binary files)
  The Apache HTTP Server Project's goal is to build a secure, efficient and
@@ -160,8 +158,7 @@
          openssl,
          ${misc:Depends},
          ${perl:Depends}
-Provides: dh-apache2,
-          dh-sequence-apache2
+Provides: dh-apache2
 Description: Apache HTTP Server (development headers)
  The Apache HTTP Server Project's goal is to build a secure, efficient and
  extensible HTTP server as standards-compliant open source software. The
@@ -190,3 +187,23 @@
  .
  This package provides the development header and the dependencies for
  modules that interact with mod_ssl's internal openssl state.
+
+Package: libapache2-mod-md
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends: ${misc:Depends},
+         apache2 (= ${binary:Version})
+Description: transitional package
+ This is a transitional package to apache2 for users of libapache2-mod-md.
+ It can be safely removed after the installation is complete.
+
+Package: libapache2-mod-proxy-uwsgi
+Architecture: any
+Section: oldlibs
+Depends: ${misc:Depends},
+         apache2 (= ${binary:Version})
+Description: transitional package
+ This is a transitional package to apache2 for users of
+ libapache2-mod-proxy-uwsgi.
+ It can be safely removed after the installation is complete.
