=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://www.apache.org/dist/httpd/httpd-(\d\.[02468]\.\d+)\.tar\.gz
